/** @odoo-module */

import "web.dom_ready";

console.log("ready")

// il semble que web.signup n'a pas été porté en OWL, donc j'utilise l'ancienne forme

const signupForm = document.querySelector('.oe_signup_form');
if (signupForm) {
    const name = document.querySelector("input[name='name']");
    const firstname = document.querySelector("input[name='firstname']");
    const lastname = document.querySelector("input[name='lastname']");

    let firstname_val = ""
    let lastname_val = ""

    firstname.addEventListener("input", (e) => {
        firstname_val = e.target.value
        update_name()
    });
    lastname.addEventListener("input", (e) => {
        lastname_val = e.target.value
        update_name()
    });

    function update_name() {
        name.value = firstname_val + " " + lastname_val
    }
}
